<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up()
    {
        Schema::create('projects', function (Blueprint $table) {
            $table->id();
            $table->string('reference')->nullable();
            $table->string('external_reference_1')->nullable();
            $table->string('name');
            $table->text('address');
            $table->char('country', 2)->nullable();
            $table->decimal('lat', 10, 8);
            $table->decimal('lng', 11, 8);
            $table->date('start_date');
            $table->date('end_date_estimated')->nullable();
            $table->enum('status', ['planning', 'in_progress', 'paused', 'completed'])->default('planning');
            $table->foreignId('created_by')->constrained('users');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    public function down()
    {
        Schema::dropIfExists('projects');
    }
};
